* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  background-color: #f4f4f4;
  color: #333;
  padding: 40px;
}

header {
  text-align: center;
  margin-bottom: 40px;
}

header h1 {
  margin-bottom: 10px;
}

.controls{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.top-controls{
    display: flex;
    align-items: center;
    gap: 15px;
}

select,
button {
  padding: 10px;
  font-size: 16px;
}

button {
  background-color: #333;
  color: white;
  border: none;
  cursor: pointer;
}

button:hover {
  background-color: #555;
}

#paletteContainer {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
  gap: 20px;
  margin-top: 30px;
}

#message {
   margin-top: 50px;
    text-align: center;
    font-weight: bold;
    color: green;
}

.colorCode {
  background-color: rgba(255, 255, 255, 0.7);
  padding: 8px;
  border-radius: 5px;
  font-weight: bold;
}

button:focus,
select:focus {
  outline: 3px solid #4CAF50;
}